Bug 115280 - deflate module is not working properly
deflate module is not working properly
Status: CLOSED ERRATA
Product: Red Hat Linux
Classification: Retired
Component: httpd (Show other bugs)
9
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Joe Orton
David Lawrence
http://zong.spline.de:8001/test.xml
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-02-09 22:38 EST by Fabian Bernd
Modified: 2007-04-18 13:02 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-30 03:15:36 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Fabian Bernd 2004-02-09 22:38:07 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5)
Gecko/20031007 Firebird/0.7

Description of problem:
I've noticed recently that the builtin deflate module is not working
properly. It is impossible to compress any ohter mime-type than text/html.
For example text/xml is not working
For example if I add the Following line to the httpd.conf
AddOutputFilterByType DEFLATE text/html text/plain text/xml
or
AddOutputFilterByType DEFLATE text/xml
or
AddOutputFilterByType DEFLATE text/*

nothing but text/html is compressed.

The deflate module is a core module of the apache server and should be
working properly.


Version-Release number of selected component (if applicable):
httpd-2.0.40-21.9

How reproducible:
Always

Steps to Reproduce:
1. Install httpd
2. add LoadModuleDirective for defalte module
3. add Outputfilter DEFLATE for text/xml mime type to httpd.conf
4. Try to get a xml file delivered compressed
    

Actual Results:  Nothing, thats the point

Expected Results:  the file should be transfered compressed. I already
told you.

Additional info:
Comment 1 Karl DeBisschop 2004-03-23 16:12:59 EST
I can reproduce this as well.

It seems to be fixed in FC1. I've had no luck making it work in RH9,
however.

(If the SMP kernel were stable running NFS umounts, I'd have upgraded
already, but I cannot upgrade with a stock redhat kernel until
http://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=109497 is fixed)
Comment 2 Joe Orton 2004-03-25 11:45:17 EST
Yes it's a bug in 2.0.40; we'll include the fix in a forthcoming erratum.
Comment 3 Mark J. Cox (Product Security) 2004-04-30 03:15:37 EDT
An errata has been issued which should help the problem described in this bug report. 
This report is therefore being closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, please follow the link below. You may reopen 
this bug report if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2004-182.html

Note You need to log in before you can comment on or make changes to this bug.